<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        table, th, td {
            border: 1px solid black;
            border-collapse: collapse;
        }
    </style>

</head>

<body>
    <table>
        <thead>
            <tr>
                <th style="display: none;" class="show">No</th>
                <th style="display: none;" class="show">key</th>
                <th style="display: none;" class="show">name</th>
            </tr>
        </thead>
        <tbody id="dynamicTable">

        </tbody>
    </table>
    <button onclick="getDynamicTable()">Dynamic Table</button>
    <script>
        const tableData = [
            { "code": "AN", "name": "Andaman and Nicobar Islands" },
            { "code": "AP", "name": "Andhra Pradesh" },
            { "code": "AR", "name": "Arunachal Pradesh" },
            { "code": "AS", "name": "Assam" },
            { "code": "BR", "name": "Bihar" },
            { "code": "CG", "name": "Chandigarh" },
            { "code": "CH", "name": "Chhattisgarh" },
            { "code": "DH", "name": "Dadra and Nagar Haveli" },
            { "code": "DD", "name": "Daman and Diu" },
            { "code": "DL", "name": "Delhi" },
            { "code": "GA", "name": "Goa" },
            { "code": "GJ", "name": "Gujarat" },
            { "code": "HR", "name": "Haryana" },
            { "code": "HP", "name": "Himachal Pradesh" },
            { "code": "JK", "name": "Jammu and Kashmir" },
            { "code": "JH", "name": "Jharkhand" },
            { "code": "KA", "name": "Karnataka" },
            { "code": "KL", "name": "Kerala" },
            { "code": "LD", "name": "Lakshadweep" },
            { "code": "MP", "name": "Madhya Pradesh" },
            { "code": "MH", "name": "Maharashtra" },
            { "code": "MN", "name": "Manipur" },
            { "code": "ML", "name": "Meghalaya" },
            { "code": "MZ", "name": "Mizoram" },
            { "code": "NL", "name": "Nagaland" },
            { "code": "OR", "name": "Odisha" },
            { "code": "PY", "name": "Puducherry" },
            { "code": "PB", "name": "Punjab" },
            { "code": "RJ", "name": "Rajasthan" },
            { "code": "SK", "name": "Sikkim" },
            { "code": "TN", "name": "Tamil Nadu" },
            { "code": "TS", "name": "Telangana" },
            { "code": "TR", "name": "Tripura" },
            { "code": "UK", "name": "Uttarakhand" },
            { "code": "UP", "name": "Uttar Pradesh" },
            { "code": "WB", "name": "West Bengal" }];

        function getDynamicTable() {
            let serialNo = 0
            let tableHeader = document.getElementsByClassName('show');
            // tableHeader.forEach(item1 => {
            //     item1.style.display = "inline-block"
            // })
            for(let j = 0; j < tableHeader.length; j++) {
                tableHeader[j].style.display = "inline-block"
            }
            tableData.forEach((item) => {
                const row = document.createElement('tr');
                const firstData = document.createElement('td');
                firstData.innerHTML = serialNo + 1;
                const secondData = document.createElement('td');
                secondData.innerHTML = item.code
                const thirdData = document.createElement('td');
                thirdData.innerHTML = item.name
                
                row.appendChild(firstData)
                row.appendChild(secondData)
                row.appendChild(thirdData)
                document.getElementById('dynamicTable').appendChild(row)
            }) 
        }







    </script>

</body>

</html>